<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.mapper.PointRuleMapper">
    
    <!-- 根据规则名称获取启用的积分规则 -->
    <select id="selectByRuleName" resultType="com.zhentao.entity.PointRule">
        SELECT * FROM point_rule 
        WHERE rule_name = #{ruleName} 
        AND status = 1
    </select>
    
</mapper>